← सर्व साधन श्रेणी
150 कार्यरत साधने

मजकूर व सूची साधने

कामाचे डेटा अपलोड न करता सामग्री स्वच्छ करा, तुलना करा आणि मोजा.

मजकूराच्या ओळी केंद्रित करा

रिकाम्या ओळी जशाच्या तशा ठेवून आणि विनाशकारी छाटणी नाकारून, प्रत्येक ओळ अचूक युनिकोड-अक्षर रुंदीमध्ये मध्यभागी ठेवा.

साधन उघडा →

शब्दांमधून उपसर्ग काढा

जुळणाऱ्या युनिकोड शब्दांमधून एक नेमका सुरुवातीचा भाग काढा आणि विरामचिन्हे, अंतर आणि न जुळणारे शब्द तसेच ठेवा.

साधन उघडा →

शब्दांमधून प्रत्यय काढा

जुळणाऱ्या युनिकोड शब्दांमधून विभाजक सपाट न करता किंवा तो प्रत्यय नसलेले शब्द बदलता न आणता, एकच अचूक शेवट काढा.

साधन उघडा →

अक्षरांदरम्यान विभाजक घाला

इमोजी सारख्या सरोगेट जोड्यांना अवैध अर्ध्यात न फोडता, निवडलेला विभाजक Unicode कोड पॉइंट्समध्ये ठेवा.

साधन उघडा →

प्रत्येक मजकूर ओळ उद्धृत करा

प्रत्येक ओळ दुहेरी अवतरणचिन्हे, एकेरी अवतरणचिन्हे किंवा बॅकटिक्समध्ये गुंडाळा, रिकाम्या ओळी आणि मूळ ओळ क्रम जतन करत.

साधन उघडा →

मजकूर ओळींतून अवतरणचिन्हे काढा

स्वयंचलित किंवा स्पष्ट उद्धरण-शैली जुळवणी वापरून प्रत्येक ओळीतून एक संतुलित बाह्य अवतरणचिन्हांचा जोडा काढून टाका.

साधन उघडा →

प्रत्येक शब्द उद्धृत करा

प्रत्येक Unicode शब्द टोकनला निवडलेल्या उद्धरण चिन्हाने वेढा, आणि स्वल्पविराम, विरामचिन्हे आणि मूळ पांढरी जागा तशीच ठेवा.

साधन उघडा →

शब्दांमधून अवतरणचिन्हे काढा

दोन्ही कोटेशन चिन्हे जुळत असतील तेव्हा स्वतंत्रपणे उद्धृत केलेले Unicode शब्द अनवेष्टित करा, परंतु गद्यामधील असंबंधित उद्धरण चिन्हे हटवू नका.

साधन उघडा →

रिकाम्या ओळींचे सामान्यीकरण करा

इंडेंटेशन आणि प्रत्येक रिकामी नसलेली ओळ जतन करत सलग रिकाम्या ओळी अचूक कमाल मर्यादेत मर्यादित करा.

साधन उघडा →

स्पेसेसचे नव्या ओळींमध्ये रूपांतर करा

प्रत्येक पांढऱ्या जागेने वेगळे केलेले टोकन एका ओळीत रूपांतरित करा आणि सलग आलेल्या रिकाम्या जागा, टॅब आणि विद्यमान ओळखंडना निश्चितपणे एकत्र करा.

साधन उघडा →

नव्या ओळी विभाजकात रूपांतरित करा

प्रत्येक ओळीतील फक्त बाहेरील पांढरी जागा काढून टाकताना, कॉन्फिगर करता येणाऱ्या विभाजकासह रिकाम्या नसलेल्या मजकूर ओळी जोडा.

साधन उघडा →

शब्द वारंवारता विश्लेषक

समायोज्य किमान लांबी, निकाल मर्यादा आणि केस-संवेदनशील तुलना वापरून Unicode शब्दांना त्यांच्या येण्याच्या संख्येनुसार क्रमबद्ध करा.

साधन उघडा →

शब्दांमधील अक्षरे क्रमबद्ध करा

प्रत्येक शब्दातील युनिकोड अक्षरे आणि अंक स्वतंत्रपणे क्रमबद्ध करा, विरामचिन्हे किंवा शब्द स्वतः हलवू नका.

साधन उघडा →

सर्व मजकूर वर्ण क्रमबद्ध करा

पूर्ण इनपुटमधील प्रत्येक Unicode कोड पॉइंटचे पर्यायी पांढऱ्या जागेचे काढून टाकणे आणि स्पष्ट चढता किंवा उतरता क्रमासह क्रम लावा.

साधन उघडा →

संख्या मजकूर वाक्ये

प्रत्येक आढळलेले वाक्य स्वतःच्या क्रमांकित ओळीवर, समायोज्य प्रारंभिक मूल्य आणि तीन वाचनीय मार्कर शैलींसह ठेवा.

साधन उघडा →

संख्या मजकूर परिच्छेद

प्रत्येक परिच्छेदातील अंतर्गत ओळ-विभाग आणि स्वरूपन जसेच्या तसे राखून, रिक्त-ओळांनी वेगळे केलेले परिच्छेद क्रमांकित करा.

साधन उघडा →

दुहेरी वाक्य शोधक

स्पष्ट केस-संवेदनशील किंवा केस-असंवेदनशील तुलना वापरून पुनरावृत्त पूर्ण वाक्यांची मोजणीसह यादी करा.

साधन उघडा →

अद्वितीय वाक्य निष्कर्षक

निवडता येणाऱ्या case नियमाखाली प्रत्येक पूर्ण वाक्याची पहिली occurrence ठेवा आणि नंतरच्या duplicates काढा.

साधन उघडा →

Base32 मजकूर एन्कोडर आणि डिकोडर

UTF-8 मजकूराला मानक RFC 4648 Base32 मध्ये रूपांतरित करा किंवा पॅड केलेले किंवा पॅड न केलेले Base32 मूल्य काटेकोरपणे डिकोड करा.

साधन उघडा →

Base32hex मजकूर एन्कोडर आणि डीकोडर

RFC 4648 विभाग 7 मध्ये परिभाषित केलेल्या विस्तारित हेक्साडेसिमल Base32 वर्णमालेसह UTF-8 एनकोड आणि डीकोड करा.

साधन उघडा →

Base45 मजकूर एन्कोडर आणि डिकोडर

QR-केंद्रित डेटा स्वरूपांमध्ये वापरल्या जाणाऱ्या संक्षिप्त RFC 9285 Base45 अक्षरमालेसह UTF-8 मजकूर रूपांतरित करा.

साधन उघडा →

Base58 Bitcoin मजकूर एनकोडर आणि डीकोडर

लीडिंग शून्य बाइट्स अचूक जतन करताना UTF-8 बाइट्सना Bitcoin Base58 वर्णमाला वापरून रूपांतरित करा.

साधन उघडा →

Ascii85 मजकूर एन्कोडर आणि डीकोडर

पाच-अक्षरी Ascii85 गटांमध्ये UTF-8 एन्कोड करा किंवा ऐच्छिक डिलिमिटर्स आणि z संपीडनासह कठोर Adobe-सुसंगत डेटा डिकोड करा.

साधन उघडा →

उद्धृत-प्रिंटेबल मजकूर एन्कोडर आणि डीकोडर

UTF-8 मेल-शैलीचा मजकूर RFC 2045 quoted-printable म्हणून एन्कोड करा किंवा पडताळलेल्या मोठ्या अक्षरांतील escapes आणि ब्राउझर-मानकीकृत line breaks decode करा.

साधन उघडा →